dpkg-split(1)

NAMN
dpkg-split - Verktyg för att dela/slå ihop Debianpaket

SYNOPS
dpkg-split [flaggor...] åtgärd

BESKRIVNING
dpkg-split delar upp binära Debianpaketfiler i mindre delar och slår samman dem igen, för att göra det möjligt att lagra stora paketfiler på små media, till exempel disketter.

Programmet kan köras manuellt med flaggorna --split, --join och --info.

Det har även ett automatiskt läge, vilket aktiveras med flaggan --auto. I det läget hanterar det en kö av delar som setts men ännu inte återställts, och återställer en paketfil när den sett alla dess delar. Flaggorna --listq and --discard gör det möjligt att hantera kön.

Alla funktioner för uppdelning, sammanslagning och köande visar informativa meddelanden på standard ut; dessa kan ignoreras.

KOMMANDON

-s, --split helt-arkiv [prefix]
    Delar ett ensamt binärt Debianpaket i flera delar.

    Delarna namnges som prefix.NofM.deb där N är numret på delen, räknat från 1, och M är det totala antalet delar (båda angivna decimalt).

    Om inget prefix ges tas filnamnet för helt-arkiv, inklusive katalognamn, med den avslutande .deb borttagen.

-j, --join del...
    Slår samman de olika paketdelarna, och återskapar den ursprungliga filen som den såg ut innan den delades.

    Delfilerna som ges som argument måste alla vara delar av exakt samma ursprungliga binärfil. Varje måste finnas exakt en gång i argumentlistan, men de behöver inte listas i ordning.

    Delarna måste naturligtvis alla ha genererats med samma delstorlek när uppdelningen skedde, vilket betyder att de vanligtvis måste ha genererats vid samma körning av dpkg-split --split.

    Delarnas filnamn är inte signifikanta för sammanslagningsproceduren.

    Förvalt namn på utdatafilen är paket_version_ark.deb.

-I, --info del...
    Skriver ut information, i människoläsbar form, om delfilerna som anges. Argument som inte är delar av binärpaket resulterar i ett meddelande som talar om detta (men fortfarande på standard ut).

-a, --auto -o fullständig-utdata del
    Köa automatiskt delarna och återskapa paketet om möjligt.

    Den del som anges undersöks och jämförs med andra delar av samma paket (om sådana existerar) i kön av delar av paket.

    Om alla delar av ett paket av vilket del är en del av är tillgängliga kommer paketet att återskapas och skrivas till fullständig-utdata (vilken vanligtvis inte redan bör existera, även om det inte vore ett fel om det gjorde det).

    Om inte kommer del att kopieras till kön och fullständig-utdata skapas inte.

    Om del inte är en del av ett delat binärpaket kommer dpkg-split att avsluta med returvärde 1; om något annat fel uppstår avslutar det med returvärde 2.

    Flaggan --output eller -o måste ges då --autoanvänds. (Om detta inte vore ett krav skulle det anropande programmet inte veta vilken utdatafil som förväntades.)

-l, --listq
    Listar innehållet i kön över paket att återställa.

    För varje paketfil för vilken delar finns i kön visas i utdata namnet på paketet, antal delar i kön, och det totala antalet byte som är lagrade i kön.

-d, --discard [paket...]
    Kastar bort delar från kön över de som väntar på återstående delar av paket.

    Om inget paket anges töms kön helt; om paket anges kastas bara delar för de(t) paket som anges.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--depotdir katalog
    Anger en alternativ katalog för kön av delar som väntar på automatisk sammanslagning. Förvalet är /home/linuxbrew/.linuxbrew/var/lib/dpkg/parts.

--admindir katalog
    Ställ den administrativa katalogen till katalog (sedan dpkg 1.21.10). Det är här statoverride-filen lagras. Förval är ”/home/linuxbrew/.linuxbrew/var/lib/dpkg” om DPKG_ADMINDIR inte har satts.

--root katalog
    Sätt rotkatalogen till katalog (sedan dpkg 1.21.10), vilket sätter installationskatalogen till ”katalog” och den administrativa katalogen till ”katalog/home/linuxbrew/.linuxbrew/var/lib/dpkg” om DPKG_ROOT inte har satts.

-S, --partsize kibibyte
    Anger maximal storlek vid delning, i kibibyte (1024 byte). Förval är 450 KiB.

-o, --output fullständig-utdata
    Anger filnamnet för utdata vid sammanslagning.

    Används istället för förvalet vid manuell sammanslagning (--join) och krävs för automatisk köa-eller-sammanslå (--auto).

-Q, --npquiet
    Vid automatisk köa-eller-sammanslå skriver dpkg-split normalt ett meddelande om den matas med en del som inte är en binär paketdel. Denna flagga undertrycker meddelandet, vilket gör det möjligt för program såsom dpkg att hantera både delade och odelade paket utan att producera felaktiga meddelanden.

--msdos
    Tvingar utdatafilnamn skapade av --split att vara MSDOS-kompatibla.

    Misshandlar prefixet - antingen förvalet taget från indatafilnamnet, eller det som angetts som argument: alfanumeriska tecken görs till gemener, plustecken ersätts med x och alla andra tecken kastas.

    Resultatet trunkeras så långt som möjligt, och filnamn på formen prefixNofM.deb genereras.

RETURVÄRDE

0   Den efterfrågade delningen, sammanslagningen eller annan åtgärd lyckades. --info-kommandon lyckas även om indatafilen inte är en del av ett binärpaket.

1   Uppkommer endast med --auto och anger att delfilen inte var en del av ett binärpaket.

2   Ödesdigert eller irreparabelt fel på grund av felaktig användning på kommandoraden, en fil som såg ut som en paket-delfil men var trasig, eller interaktioner med systemet, såsom databasåtkomst, minnesallokeringer, osv.

MILJÖVARIABLER

DPKG_ROOT
    Om satt och flaggan --root inte har angivits används det som filsystemets rotkatalog (sedan dpkg 1.21.10).

DPKG_ADMINDIR
    Om satt, och flaggorna --admindir och -root inte har angivits, används värdet som administrativ katalog för dpkg (sedan dpkg 1.21.10).

DPKG_DEBUG
    Anger felsökningsmasken (sedan dpkg 1.21.10) från ett oktalt värde. De flaggor som för närvarande godtas beskrivs i flaggan dpkg --debug, men alla dess flaggor påverkar inte nödvändigtvis detta program.

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.22.7). Tillåtna värden är: 0 och 1 (förval).

SOURCE_DATE_EPOCH
    Om satt kommer det användas som tidsstämpel (som sekunder sedan epoken) i deb-split(5):s ar(5)-behållare.

    Sedan dpkg 1.18.11.

FILER

/home/linuxbrew/.linuxbrew/var/lib/dpkg/parts
    Förvald kö-katalog för delfiler som väntar på automatisk sammanslagning.

    Filnamnen som används i katalogen är i ett internt format för dpkg-split och är knappast användbara för andra program, och hur som helst kan inte formatet på filnamnen litas på.

SÄKERHET
Att utforska eller slå ihop obetrodda delade arkiv bör anses som en säkerhetsgräns, och eventuellt brytande av gränser som uppstår av dessa operationer bör anses som en säkerhetssårbarhet. Att utföra dessa operationer på obetrodda data som root avråds å det bestämdaste från.

Att automatiskt samla och förkasta delar av ett delat paket anses som privilegierade operationer som kan tillåta utökning av rootbehörigheter. Operationerna får aldrig delegeras till en obetrodd användare eller göras på obetrodda paket, eftersom det kan tillåta rootåtkomst till systemet.

Dela paketarkiv bör endast utföras över betrodda data.

PROGRAMFEL
Kompletta detaljer för paket i kön kan inte fås utan att själv gräva i kö-katalogen.

Det finns inget lätt sätta att testa om en fil som kan vara en del av ett binärpaket faktiskt är det.

SE ÄVEN
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.